Get arbitrage opportunities
curl --request GET \
--url https://api.example.com/api/arbitrage \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/arbitrage"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/arbitrage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/arbitrage",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/arbitrage"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/arbitrage")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/arbitrage")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"pairs": [
{
"platform1": {
"source": "<string>",
"market_id": 123,
"event_id": "<string>",
"event_title": "<string>",
"question": "<string>",
"description": "<string>",
"url": "<string>",
"yes_price": 123,
"no_price": 123,
"yes_token_id": "<string>",
"no_token_id": "<string>"
},
"platform2": {
"source": "<string>",
"market_id": 123,
"event_id": "<string>",
"event_title": "<string>",
"question": "<string>",
"description": "<string>",
"url": "<string>",
"yes_price": 123,
"no_price": 123,
"yes_token_id": "<string>",
"no_token_id": "<string>"
},
"arbitrage": {
"buy_yes_price": 0,
"buy_yes_source": "",
"buy_no_price": 0,
"buy_no_source": "",
"total_cost": 0,
"profit": 0,
"profit_pct": 0,
"days_until": 0,
"apr": 0,
"platform_fee": 123
},
"depth": {
"max_shares": 0,
"max_usd": 0,
"yes_usd": 0,
"no_usd": 0,
"avg_yes": 0,
"avg_no": 0
},
"end_date": "<string>"
}
],
"total": 0,
"count": 0
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}arbitrage
Get arbitrage opportunities
Returns current arbitrage opportunities between platforms.
Each item includes expected spread, estimated profit, available depth, and market links. Use limit and offset for pagination.
GET
/
api
/
arbitrage
Get arbitrage opportunities
curl --request GET \
--url https://api.example.com/api/arbitrage \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/arbitrage"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/arbitrage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/arbitrage",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/arbitrage"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/arbitrage")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/arbitrage")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"pairs": [
{
"platform1": {
"source": "<string>",
"market_id": 123,
"event_id": "<string>",
"event_title": "<string>",
"question": "<string>",
"description": "<string>",
"url": "<string>",
"yes_price": 123,
"no_price": 123,
"yes_token_id": "<string>",
"no_token_id": "<string>"
},
"platform2": {
"source": "<string>",
"market_id": 123,
"event_id": "<string>",
"event_title": "<string>",
"question": "<string>",
"description": "<string>",
"url": "<string>",
"yes_price": 123,
"no_price": 123,
"yes_token_id": "<string>",
"no_token_id": "<string>"
},
"arbitrage": {
"buy_yes_price": 0,
"buy_yes_source": "",
"buy_no_price": 0,
"buy_no_source": "",
"total_cost": 0,
"profit": 0,
"profit_pct": 0,
"days_until": 0,
"apr": 0,
"platform_fee": 123
},
"depth": {
"max_shares": 0,
"max_usd": 0,
"yes_usd": 0,
"no_usd": 0,
"avg_yes": 0,
"avg_no": 0
},
"end_date": "<string>"
}
],
"total": 0,
"count": 0
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Optional number of pairs to return.
Zero-based offset in the result list.
Required range:
x >= 0Optional arbitrage id to force-include in guest preview.
